#include <sourcemod>
#include <colors>

#pragma semicolon 1;

#define VERSION      "0.1"

#define CVAR_ENABLE      0
#define CVAR_VERSION        1
#define CVAR_NUM_LINES        2
#define CVAR_NUM_CVARS      3

new Handle:g_cvars[CVAR_NUM_CVARS];

new Handle:WelcomeTimers[MAXPLAYERS+1];

public Plugin:myinfo = 
{
	name = "Connect Rules",
	author = "Stephan",
	description = "Displays Rules on Connect",
	version = "0.1",
	url = "http://scientistsatwork.org/"
}

public OnPluginStart()
{
	LoadTranslations("common.phrases");
	LoadTranslations("saw_connect_rules.phrases");
	
	g_cvars[CVAR_VERSION]   = CreateConVar("saw_connect_rules_version", VERSION, "Connect Rules Version", FCVAR_PLUGIN|FCVAR_REPLICATED|FCVAR_NOTIFY);
	g_cvars[CVAR_NUM_LINES] = CreateConVar("sm_connect_rules_num_lines", "5", "Number of Rule Lines which should be shown", FCVAR_PLUGIN);
	g_cvars[CVAR_ENABLE]    = CreateConVar("sm_connect_rules_enable", "1", "Enable the Plugin", FCVAR_PLUGIN);

	AutoExecConfig(true, "saw_connect_rules");
}

public OnClientPutInServer(client) 
{ 
	if(!GetConVarBool(g_cvars[CVAR_ENABLE]))
	{
		PrintToChatAll("not enabled");
		return;
	}

	WelcomeTimers[client] = CreateTimer(10.0, WelcomePlayer, client);
}  

public OnClientDisconnect(client)
{
	if (WelcomeTimers[client] != INVALID_HANDLE)
	{
		KillTimer(WelcomeTimers[client]);
		WelcomeTimers[client] = INVALID_HANDLE;
	}
}

public Action:WelcomePlayer(Handle:timer, any:client)
{
	SetGlobalTransTarget(client);
	CPrintToChat(client, "%t", "rules_intro");

	for (new i = 1; i <= GetConVarInt(g_cvars[CVAR_NUM_LINES]); i++)
	{
		decl String:buffer[192];

		Format(buffer, sizeof(buffer), "rule_no%i", i);

		CPrintToChat(client, "%t", "rule_no", i, buffer);
	}

	CPrintToChat(client, "%t", "rules_end");

//	LoadMOTDPanel(client, "blub", "blub", 0);
////	LoadMOTDPanel(client, "blub2", "blub2", 0);

	WelcomeTimers[client] = INVALID_HANDLE;
}
public LoadMOTDPanel(client, const String:title[], const  String:msg[], type) {
	decl String:num[3]; 
	new Handle:Kv = CreateKeyValues("data");
	IntToString(type, num, sizeof(num));
	KvSetString(Kv, "title", title);
	KvSetString(Kv, "type", num);
	KvSetString(Kv, "msg", msg);

//	decl String:filepath[filepath_length]; // DEBUG
//	Format(filepath, filepath_length, "%smotd_params.txt", result_folder); // DEBUG
//	KeyValuesToFile(Kv, filepath); // DEBUG

	ShowVGUIPanel(client, "info", Kv, true);
	CloseHandle(Kv);
}
